apiVersion: v1
kind: Pod
metadata:
  name: dpdk-testpmd-cnfde31
  annotations:
    k8s.v1.cni.cncf.io/networks: '[
          {
            "mac": "96:77:C0:21:7D:87",
            "name": "sriov-nw-du-fh"
          },
          {
            "mac": "F6:16:6A:00:70:19",
            "name": "sriov-nw-du-mh"
          }
        ]'
    cpu-load-balancing.crio.io: "disable"
    cpu-quota.crio.io: "disable"
    irq-load-balancing.crio.io: "disable"
  namespace: openshift-sriov-network-operator
spec:
  runtimeClassName: performance-openshift-node-performance-profile
  restartPolicy: Always
  containers:
  - name: dpdk-testpmd
#   image: registry.cnfde20.ptp.lab.eng.bos.redhat.com:5000/ran-test/dpdk-testpmd
    image: quay.io/dosman/dpdk-testpmd-qe:latest
#   command: ["sleep", "infinity"]
    imagePullPolicy: Always
    env:
    - name: PROMISC_DEVICES
      value: "n"
    - name: FORWARD_MODE
      value: "mac"
    - name: SRIOV_ID_A
      value: "DU_MH"
    - name: SRIOV_ID_B
      value: "DU_FH"
    - name: MTU
      value: "9000"
    securityContext:
      runAsUser: 0
      privileged: true
      capabilities:
        add: ["IPC_LOCK","SYS_ADMIN","SYS_NICE", "NET_RAW", "SYS_RESOURCE"]
    resources:
      limits:
        cpu: "6"
        memory: "1Gi"
        hugepages-1Gi: "4Gi"
      requests:
        cpu: "6"
        memory: "1Gi"
        hugepages-1Gi: "4Gi"
    volumeMounts:
    - name: hugepage
      mountPath: /dev/hugepages
    - name: firmware
      mountPath: /lib/firmware
    - name: vfio
      mountPath: /dev/vfio
  volumes:
  - name: hugepage
    emptyDir:
      medium: HugePages
  - name: firmware
    hostPath:
      path: /lib/firmware
  - name: vfio
    hostPath:
      path: /dev/vfio
      type: Directory
  nodeSelector:
    node-role.kubernetes.io/master: ""

